Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class NumberLiteral

    java.lang.Object
      antlr.Token
          antlr.CommonToken
              de.grogra.grammar.Token
                  de.grogra.grammar.Literal
                      de.grogra.grammar.NumberLiteral

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  DoubleLiteral, FloatLiteral, IntLiteral, LongLiteral

    public abstract class NumberLiteral

extends Literal

Field Summary
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `INT`
`static int` | `LONG`

Fields inherited from class de.grogra.grammar.Token
`BOOLEAN_LITERAL, CHAR_LITERAL, DOUBLE_LITERAL, FLOAT_LITERAL, IDENT, INT_LITERAL, LONG_LITERAL, MAX_NUMBER_LITERAL, MIN_NUMBER_LITERAL, MIN_UNUSED, STRING_LITERAL`

Fields inherited from class antlr.CommonToken
`col, line, text`

Fields inherited from class antlr.Token
`badToken, EOF_TYPE, INVALID_TYPE, MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, SKIP, type`

Constructor Summary
`NumberLiteral(int type, java.lang.String text)`

Method Summary
`abstract double` | `doubleValue()`
`abstract float` | `floatValue()`
`abstract int` | `intValue()`
`abstract long` | `longValue()`

Methods inherited from class de.grogra.grammar.Token
`dup, getColumn, getEndPosition, getFilename, getLine, getStartPosition, getTokenizer, setExtent, setTokenizer`

Methods inherited from class antlr.CommonToken
`getText, setColumn, setLine, setText, toString`

Methods inherited from class antlr.Token
`getType, setFilename, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

Constructor Detail

### NumberLiteral

    public NumberLiteral(int type,
                         java.lang.String text)

Method Detail

### doubleValue

    public abstract double doubleValue()

### floatValue

    public abstract float floatValue()

### intValue

    public abstract int intValue()

### longValue

    public abstract long longValue()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD